#include<bits/stdc++.h>
using namespace std;
mt19937_64 R(time(0));
int rnd(int l,int r){
	return R()%(r-l+1)+l;
}
signed main(){
	freopen("noodle.in","w",stdout);
	int test=0,T=1,seed=114514;
	cout<<test<<" "<<T<<" "<<seed<<"\n";
	int n,q,x,k_max;
	n=rnd(1,150),q=10,x=rnd(1,n),k_max=rnd(20,50);
	cout<<n<<" "<<q<<" "<<x<<" "<<k_max<<"\n";
	for(int i=1;i<=n;++i)
		cout<<rnd(1,998244352)<<" ";cout<<"\n";
}
